## wxmplot 0.9.49

=== requirements.txt ===
numpy>=1.12
matplotlib>=3.0
wxpython>=4.0.3
wxutils>=0.2.7

=== debian/changelog ===
wxmplot (0.9.49-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-wxmplot-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:18:08 +0100

wxmplot (0.9.49-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Neil Williams ]
  * New upstream release.
  * Add upstream autopkgtest (currently minimal)

 -- Neil Williams <codehelp@debian.org>  Fri, 22 Apr 2022 10:17:55 +0100

wxmplot (0.9.46-2) unstable; urgency=medium

  * Source only upload
  * Enable default python autopkgtest

 -- Neil Williams <codehelp@debian.org>  Mon, 28 Feb 2022 07:40:05 +0000

wxmplot (0.9.46-1) unstable; urgency=medium

  * Initial release. (Closes: #1005763: ITP: wxmplot -- wxPython
    plotting widgets using matplotlib)

 -- Neil Williams <codehelp@debian.org>  Mon, 14 Feb 2022 15:50:13 +0000

=== debian/control ===
Source: wxmplot
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
 python3-wxgtk4.0,
 python3-numpy,
 python3-matplotlib,
 python3-wxutils (>= 0.2.7),
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Homepage: https://github.com/newville/wxmplot
Vcs-Browser: https://salsa.debian.org/python-team/packages/wxmplot
Vcs-Git: https://salsa.debian.org/python-team/packages/wxmplot.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-wxmplot
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-wxmplot-doc
Description: wxPython plotting widgets using matplotlib (Python 3)
 wxmplot bridges the gap between matplotlib and wxPython by
 providing wxPython widgets and user-friendly functions for
 basic 2D line plots, image display, and some custom plots.
 .
 With the plotting and image display Panels and Frames from WXMPlot,
 programmers are able to provide plotting widgets that make it easy
 for end users to customize plots and interact with their data.
 .
 This package installs the library for Python 3.

Package: python-wxmplot-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: wxPython plotting widgets using matplotlib (common documentation)
 wxmplot bridges the gap between matplotlib and wxPython by
 providing wxPython widgets and user-friendly functions for
 basic 2D line plots, image display, and some custom plots.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export MPLCONFIGDIR=$(CURDIR)/build
export PYBUILD_NAME=wxmplot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) wxmplot/version.py

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	dh_numpy3
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-pytest

## wxmplot 0.9.58

=== requirements.txt ===
numpy>=1.18
matplotlib>=3.5.0
wxpython>=4.1.0
wxutils>=0.3.0
Pillow>=7.0
pyyaml>=5.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build
PAPER        =
BUILDDIR     = _build
MODULE       = wxmplot
INSTALLDIR   = /home/newville/public_html/wxmplot/

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf
.PHONY: all install

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pdf: latexpdf
	cp -pr $(BUILDDIR)/latex/*.pdf $(BUILDDIR)/html/.

all: html pdf

install: all
	cp -pr $(BUILDDIR)/latex/*.pdf $(INSTALLDIR)/.
	cp -pr $(BUILDDIR)/html/* $(INSTALLDIR)/.

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
wxmplot (0.9.58-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.58
  * d/control: Used dh-sequence-X
  * d/control: Added B-D python3-pil, python3-yaml
  * d/control: Added Uploaders
    - Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
    - Picca Frédéric-Emmanuel <picca@debian.org>

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 12 Dec 2023 13:02:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>,
+Uploaders:
+ Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-setuptools,
- python3-setuptools-scm,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-wxgtk4.0,
  python3-numpy,
  python3-matplotlib,
- python3-wxutils (>= 0.2.7),
+ python3-pil (>= 7.0),
+ python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx <!nodoc>,
+ python3-wxutils (>= 0.3.0),
+ python3-yaml (>= 5.0),
 Standards-Version: 4.6.0
 Homepage: https://github.com/newville/wxmplot
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wxmplot

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=wxmplot
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -15,5 +15,4 @@
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	dh_numpy3
 	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/newville/wxmplot/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
